
From: "Randy.Dunlap" <rddunlap@osdl.org>, From: Ron Gage  <ron@rongage.org>

Remove remaining __SMP__ usage.


 25-akpm/drivers/char/ser_a2232.c              |    2 +-
 25-akpm/drivers/message/fusion/linux_compat.h |    2 +-
 25-akpm/drivers/scsi/3w-xxxx.c                |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/char/ser_a2232.c~remove-__SMP__ drivers/char/ser_a2232.c
--- 25/drivers/char/ser_a2232.c~remove-__SMP__	Thu Sep  4 11:17:34 2003
+++ 25-akpm/drivers/char/ser_a2232.c	Thu Sep  4 11:17:34 2003
@@ -731,7 +731,7 @@ int a2232board_init(void)
 	volatile u_char *to;
 	volatile struct a2232memory *mem;
 
-#ifdef __SMP__
+#ifdef CONFIG_SMP
 	return -ENODEV;	/* This driver is not SMP aware. Is there an SMP ZorroII-bus-machine? */
 #endif
 
diff -puN drivers/message/fusion/linux_compat.h~remove-__SMP__ drivers/message/fusion/linux_compat.h
--- 25/drivers/message/fusion/linux_compat.h~remove-__SMP__	Thu Sep  4 11:17:34 2003
+++ 25-akpm/drivers/message/fusion/linux_compat.h	Thu Sep  4 11:17:34 2003
@@ -93,7 +93,7 @@ typedef void (*__cleanup_module_func_t)(
  * Used prior to schedule_timeout calls..
  */
 #define __set_current_state(state_value)	do { current->state = state_value; } while (0)
-#ifdef __SMP__
+#ifdef CONFIG_SMP
 #define set_current_state(state_value)		do { __set_current_state(state_value); mb(); } while (0)
 #else
 #define set_current_state(state_value)		__set_current_state(state_value)
diff -puN drivers/scsi/3w-xxxx.c~remove-__SMP__ drivers/scsi/3w-xxxx.c
--- 25/drivers/scsi/3w-xxxx.c~remove-__SMP__	Thu Sep  4 11:17:34 2003
+++ 25-akpm/drivers/scsi/3w-xxxx.c	Thu Sep  4 11:17:34 2003
@@ -174,7 +174,7 @@
 #include <linux/module.h>
 
 MODULE_AUTHOR ("3ware Inc.");
-#ifdef __SMP__
+#ifdef CONFIG_SMP
 MODULE_DESCRIPTION ("3ware Storage Controller Linux Driver (SMP)");
 #else
 MODULE_DESCRIPTION ("3ware Storage Controller Linux Driver");

_
